## rheolef 5.92

=== debian/changelog ===
rheolef (5.92-2) unstable; urgency=low

  * debian/control: 
    - rheolef-doc: add older package name "librheolef-doc" in "replace" and
      "conflict" sections (Closes: Bug#612556)
 
 -- Pierre Saramito <pierre.saramito@imag.fr>  Thu, 9 Feb 2011 10:54:07 +0200

rheolef (5.92-1) unstable; urgency=low

  * New upstream release:
    - "rheolef" suffix added to all unix manuals (Closes: #607117)
    - minor source code fixes for g++-4.5 (Closes: #607184)
    - minor reference manual fix (Closes: #607038)
  * debian/control: 
    - libboost-iostreams-dev dependency added, as required by the new 
      upstream version.
 
 -- Pierre Saramito <pierre.saramito@imag.fr>  Thu, 8 Feb 2011 10:00:06 +0200

rheolef (5.91-1) unstable; urgency=low

  * Team upload
  * watch file updated in order to avoid rheolef examples.

  [ Pierre Saramito ]
  * New upstream release
  * debian/control: Architecture changed to any for package rheolef
    and Achitecture changed to all for package librheolef-doc.
    Also texlive-font-utils is added for build-depends source.
  * debian/rules: rename package librheolefX.X to librheolef1, which is
    upstream-version-independent: The "1" stands for the ABI version.
    Also rename librheolef-doc to rheolef-doc.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 08 Dec 2010 18:24:20 +0100

rheolef (5.90-1) unstable; urgency=low

  * Team upload
  * Standards-Version updated to version 3.9.1
  * Vcs-Browser & Vcs-Svn added

  [ Pierre Saramito ]
  * New upstream release
  * Add Pierre Saramito <Pierre.Saramito@imag.fr> as uploader
  * FTBFS unrecognized command line option "-mieee-fp" (Closes: #588960)
  * librheolef-dev depends on unavailable rheolef-runtime (Closes: #593695)
  * tries to overwrite '/usr/bin/proj' in package proj-bin (Closes: #592192)
  * tries to overwrite '/usr/bin/proj' in package proj-bin (Closes: #593189)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 29 Oct 2010 13:25:36 +0200

rheolef (5.89-1) unstable; urgency=low

  [Pierre Saramito]
  * New upstream release

  [Christophe Prud'homme]
  * debian/control: fixed lintian warnings and errors
  * debian/source/format: created

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 12 Jun 2010 09:08:59 +0200

rheolef (5.78-1) stable; urgency=low

  [Pierre Saramito]
  * debian package is now valid

 -- Pierre Saramito <pierre.saramito@imag.fr>  Mon, 5 Oct 2009 11:10:06 +0200

rheolef (5.50-1) unstable; urgency=low

  [Pierre Saramito]
  * GNU C++ 4.1 and 4.2 port
  * discontinuous galerkin, by Cheddadi

 -- Pierre Saramito <pierre.saramito@imag.fr>  Tue, 17 Jan 2006 16:43:12 +0200

rheolef (5.18-1) unstable; urgency=low

  [Pierre Saramito]
  * bug fix in div_div form : compressible linear elasticity and such.

 -- Pierre Saramito <pierre.saramito@imag.fr>  Tue, 17 Jan 2006 16:43:12 +0200
