=== debian/control ===
Source: rheolef
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, 
 Pierre Saramito <pierre.saramito@imag.fr>
Homepage: http://ljk.imag.fr/membres/Pierre.Saramito/rheolef
Build-Depends: debhelper (>=7), autoconf, automake, libtool, libltdl-dev | libltdl3-dev, flex, bison, xutils-dev, libboost-dev, libboost-iostreams-dev, libboost-serialization-dev, libginac-dev, ginac-tools, libsuitesparse-dev, libstdc++6, texi2html, texinfo, texlive-latex-recommended, texlive-latex-extra, texlive-math-extra, texlive-font-utils, ghostscript, gnuplot, xfig, transfig, texinfo, imagemagick, doxygen, graphviz
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/rheolef/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/rheolef/trunk/

Package: librheolef1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: librheolef5.89, librheolef5.90
Replaces: librheolef5.89, librheolef5.90
Suggests: rheolef-doc
Description: Finite elements for partial differential equations (shared library)
 Rheolef is a computer environment that serves as a convenient
 laboratory for computations in applied mathematics, involving finite
 element-like methods. It provides a set of unix commands and C++
 algorithms and containers.
 .
 Containers covers first the classic graph data structure for sparse
 matrix formats and finite element meshes.
 .
 An higher level of abstraction is provided by containers related to
 approximate finite element spaces, discrete fields and bilinear forms.
 .
 .
 Current applications cover
 .
  - Poisson problems in 1D 2D and 3D with P1 or P2 elements
  - Stokes problems in 2D and 3D, with P2-P1 or P1 bubble-P1 elements
  - linear elasticity in 2D and 3D, with P1 and P2 elements,
 including the incompressible and nearly incompressible elasticity
  - characteristic method for convection-difusion, time-dependent problems
 and Navier-Stokes equations.
  - auto-adaptive mesh based for 2D problems
  - axisymetric problems
  - multi-regions and non-constant coefficients
  - axisymetric problems

Package: librheolef-dev
Section: libdevel
Architecture: any
Depends: librheolef1(= ${binary:Version}), rheolef, libboost-dev, libboost-iostreams-dev, libboost-serialization-dev,
 libsuitesparse-dev, ${misc:Depends}
Recommends: rheolef-doc
Suggests:
Description: Finite elements for partial differential equations (headers)
 Rheolef is a computer environment that serves as a convenient
 laboratory for computations in applied mathematics, involving finite
 element-like methods. It provides a set of unix commands and C++
 algorithms and containers.
 .
 Containers covers first the classic graph data structure for sparse
 matrix formats and finite element meshes.
 .
 An higher level of abstraction is provided by containers related to
 approximate finite element spaces, discrete fields and bilinear forms.
 .
 .
 Current applications cover
 .
  - Poisson problems in 1D 2D and 3D with P1 or P2 elements
  - Stokes problems in 2D and 3D, with P2-P1 or P1 bubble-P1 elements
  - linear elasticity in 2D and 3D, with P1 and P2 elements,
 including the incompressible and nearly incompressible elasticity
  - characteristic method for convection-difusion, time-dependent problems
 and Navier-Stokes equations.
  - auto-adaptive mesh based for 2D problems
  - axisymetric problems
  - multi-regions and non-constant coefficients
  - axisymetric problems

Package: rheolef-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Conflicts: librheolef-doc
Replaces: librheolef-doc
Description: Finite elements for partial differential equations (documentation)
 Rheolef is a computer environment that serves as a convenient
 laboratory for computations in applied mathematics, involving finite
 element-like methods. It provides a set of unix commands and C++
 algorithms and containers.
 .
 Containers covers first the classic graph data structure for sparse
 matrix formats and finite element meshes.
 .
 An higher level of abstraction is provided by containers related to
 approximate finite element spaces, discrete fields and bilinear forms.
 .
 .
 Current applications cover
 .
  - Poisson problems in 1D 2D and 3D with P1 or P2 elements
  - Stokes problems in 2D and 3D, with P2-P1 or P1 bubble-P1 elements
  - linear elasticity in 2D and 3D, with P1 and P2 elements,
 including the incompressible and nearly incompressible elasticity
  - characteristic method for convection-difusion, time-dependent problems
 and Navier-Stokes equations.
  - auto-adaptive mesh based for 2D problems
  - axisymetric problems
  - multi-regions and non-constant coefficients
  - axisymetric problems

Package: rheolef
Section: math
Architecture: any
Depends: ${shlibs:Depends}, librheolef1, gnuplot, imagemagick, vtk-tcl, ${misc:Depends}
Recommends: librheolef-dev, rheolef-doc
Suggests: gmsh, plotmtv, mayavi, mayavi2, paraview, ffmpeg
Description: Finite elements for partial differential equations
 Rheolef is a computer environment that serves as a convenient
 laboratory for computations in applied mathematics, involving finite
 element-like methods. It provides a set of unix commands and C++
 algorithms and containers.
 .
 Containers covers first the classic graph data structure for sparse
 matrix formats and finite element meshes.
 .
 An higher level of abstraction is provided by containers related to
 approximate finite element spaces, discrete fields and bilinear forms.
 .
 .
 Current applications cover
 .
  - Poisson problems in 1D 2D and 3D with P1 or P2 elements
  - Stokes problems in 2D and 3D, with P2-P1 or P1 bubble-P1 elements
  - linear elasticity in 2D and 3D, with P1 and P2 elements,
 including the incompressible and nearly incompressible elasticity
  - characteristic method for convection-difusion, time-dependent problems
 and Navier-Stokes equations.
  - auto-adaptive mesh based for 2D problems
  - axisymetric problems
  - multi-regions and non-constant coefficients
  - axisymetric problems
 .
 Input and Output in various file format for meshes generators
 and numerical data visualization systems (mayavi, vtk, plotmtv, gnuplot).
