## rheolef 5.93

=== debian/changelog ===
rheolef (5.93-2) unstable; urgency=low

  * debian/control:
    - "vtk-tcl" dependency changed to "tcl-vtk|vtk-tcl" (closes: #619917)
    - "doxygen" dependency removed                      (closes: #616276)
  * debian/rheolef-doc.install : add refman in .info format
  * debian/rheolef-doc.doc-base.refman: created for .pdf .html & .info
  * debian/rules:
    - clean some obsolete Makefile commandes

 -- Pierre Saramito <pierre.saramito@imag.fr>  Thu, 26 March 2011 08:10:11 +0200

rheolef (5.93-1) unstable; urgency=low

  * New upstream release (minor changes):
    - some extra warning message deleted in heap_allocator
    - graphic output with mayavi2 fixed
    - add doc refman in .pdf format

 -- Pierre Saramito <pierre.saramito@imag.fr>  Thu, 23 March 2011 11:14:26 +0200
