=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, 
  Pierre Saramito <pierre.saramito@imag.fr>
 Homepage: http://ljk.imag.fr/membres/Pierre.Saramito/rheolef
-Build-Depends: debhelper (>=7), autoconf, automake, libtool, libltdl-dev | libltdl3-dev, flex, bison, xutils-dev, libboost-dev, libboost-iostreams-dev, libboost-serialization-dev, libginac-dev, ginac-tools, libsuitesparse-dev, libstdc++6, texi2html, texinfo, texlive-latex-recommended, texlive-latex-extra, texlive-math-extra, texlive-font-utils, ghostscript, gnuplot, xfig, transfig, texinfo, imagemagick, doxygen, graphviz
+Build-Depends: debhelper (>=7), autoconf, automake, libtool, libltdl-dev | libltdl3-dev, flex, bison, xutils-dev, libboost-dev, libboost-iostreams-dev, libboost-serialization-dev, libginac-dev, ginac-tools, libsuitesparse-dev, libstdc++6, texi2html, texinfo, texlive-latex-recommended, texlive-latex-extra, texlive-math-extra, texlive-font-utils, ghostscript, gnuplot, xfig, transfig, texinfo, imagemagick, graphviz
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/rheolef/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/rheolef/trunk/
@@ -46,9 +46,9 @@
 Package: librheolef-dev
 Section: libdevel
 Architecture: any
-Depends: librheolef1(= ${binary:Version}), rheolef, libboost-dev, libboost-iostreams-dev, libboost-serialization-dev,
+Depends: librheolef1(= ${binary:Version}), rheolef(= ${binary:Version}), libboost-dev, libboost-iostreams-dev, libboost-serialization-dev,
  libsuitesparse-dev, ${misc:Depends}
-Recommends: rheolef-doc
+Recommends: rheolef-doc(= ${binary:Version})
 Suggests:
 Description: Finite elements for partial differential equations (headers)
  Rheolef is a computer environment that serves as a convenient
@@ -111,9 +111,8 @@
 Package: rheolef
 Section: math
 Architecture: any
-Depends: ${shlibs:Depends}, librheolef1, gnuplot, imagemagick, vtk-tcl, ${misc:Depends}
-Recommends: librheolef-dev, rheolef-doc
-Suggests: gmsh, plotmtv, mayavi, mayavi2, paraview, ffmpeg
+Depends: ${shlibs:Depends}, librheolef1(= ${binary:Version}), ${misc:Depends}
+Recommends: librheolef-dev, rheolef-doc, gnuplot, imagemagik, tcl-vtk | vtk-tcl, gmsh, mayavi2 | mayavi, paraview, ffmpeg
 Description: Finite elements for partial differential equations
  Rheolef is a computer environment that serves as a convenient
  laboratory for computations in applied mathematics, involving finite
