=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,18 @@
 #export DH_VERBOSE=1
 
 # Variables declaration
+ABI_VERSION=1
 VERSION=$(shell cat VERSION | sed -e 's/\([0-9]*\.[0-9]*\)-[0-9]*/\1/')
 MAJOR_VERSION=$(shell cat VERSION | sed -e 's/\([0-9]*\)\.[0-9]*/\1/')
 MINOR_VERSION=$(shell cat VERSION | sed -e 's/[0-9]*\.\([0-9]*\)/\1/')
 SONAME=$(MAJOR_VERSION)
-ABI_VERSION=1
+
 LIBRHEOLEF=librheolef${ABI_VERSION}
 LIBRHEOLEF_DEV=librheolef-dev
 RHEOLEF_DOC=rheolef-doc
 RHEOLEF_RUNTIME=rheolef
+
 TMPDIR=debian/tmp-rheolef
-
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -33,13 +34,13 @@
 configure-stamp:
 	# Prepare the debian control files necessary for the creation of the packages
 	cat debian/shlibs.librheolefX.X | \
-	  sed -e "s/\@LIBRARY\@/$(LIBRHEOLEF)/g" \
+	  sed -e "s/\@LIBRHEOLEF\@/$(LIBRHEOLEF)/g" \
               -e "s/\@MAJOR_VERSION\@/$(MAJOR_VERSION)/g" \
               -e "s/\@MINOR_VERSION\@/$(MINOR_VERSION)/g" \
               -e "s/\@VERSION\@/$(VERSION)/g" \
               -e "s/\@SONAME\@/$(SONAME)/g" > debian/shlibs.$(LIBRHEOLEF)
 	cat debian/librheolefX.X.overrides | \
-	  sed -e "s/\@LIBRARY\@/$(LIBRHEOLEF)/g" \
+	  sed -e "s/\@LIBRHEOLEF\@/$(LIBRHEOLEF)/g" \
               -e "s/\@MAJOR_VERSION\@/$(MAJOR_VERSION)/g" \
               -e "s/\@MINOR_VERSION\@/$(MINOR_VERSION)/g" \
               -e "s/\@VERSION\@/$(VERSION)/g" \
@@ -49,7 +50,7 @@
 	cp -f debian/librheolefX.X.substvars debian/$(LIBRHEOLEF).substvars
 	dh_testdir
 	./bootstrap
-	CC=gcc CXX=g++ ./configure --enable-fast-install --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --disable-optim --with-umfpack --enable-debian-packaging=yes
+	CC=gcc CXX=g++ ./configure --enable-fast-install --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --disable-optim --with-umfpack
 	touch configure-stamp
 
 build: build-stamp
@@ -59,9 +60,6 @@
 
 	# Compile the package.
 	$(MAKE)
-
-	# Gzip man and info pages.
-	sh debian/gzip_man_info.sh
 	touch build-stamp
 
 clean:
@@ -83,11 +81,18 @@
 
 	# Add here commands to install the package into DESTDIR
 	$(MAKE) install DESTDIR=$(CURDIR)/$(TMPDIR)
-
 	dh_movefiles --sourcedir=$(TMPDIR)
 
-	# Removing some useless scripts (doc2man, etc.)
-	rm -f $(TMPDIR)/usr/bin/doc*
+	# removing some useless progs
+	rm -f $(TMPDIR)/usr/bin/doc2man
+	rm -f $(TMPDIR)/usr/bin/doc2texi
+	rm -f $(TMPDIR)/usr/bin/doc2oxy
+
+	# remove info/dir
+	rm -f $(TMPDIR)/usr/share/info/dir*
+
+	# respect debian naming conventions
+	test -d $(TMPDIR)/usr/share/doc/rheolef && mv $(TMPDIR)/usr/share/doc/rheolef $(TMPDIR)/usr/share/doc/rheolef-doc
 
 	# Changing file access permissions
 	chmod 755 $(TMPDIR)/usr/share/rheolef/check-shlibpath_var.sh
