=== debian/watch ===
version=3
http://ljk.imag.fr/membres/Pierre.Saramito/rheolef/rheolef-([0-9.]*).tar.gz
