## rheolef 6.1

=== debian/changelog ===
rheolef (6.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make rheolef binnmu-safe (Closes: #691610)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 27 Oct 2012 16:37:05 +0100

rheolef (6.1-2) unstable; urgency=low

  * control: armel & armhf architectures not considered (compilation failed)

 -- Pierre Saramito <pierre.saramito@imag.fr>  Thu, 31 May 2012 10:28:07 +0200
  

rheolef (6.1-1) unstable; urgency=low

  [ Pierre Saramito ]
  * New upstream release 6.1 (minor changes):
    - support arbitrarily polynomial order Pk
    - source code supports g++-4.7 (closes: #671996)

  [ Sylvestre Ledru ]
  * update of the watch file

 -- Pierre Saramito <pierre.saramito@imag.fr>  Mon, 14 May 2012 14:02:09 +0200

rheolef (6.0-1) unstable; urgency=low

  * New upstream release 6.0 (major changes):
    - massively distributed and parallel support
    - full FEM characteristic method (Lagrange-Gakerkin method) support
    - enhanced users documentation 
    - source code supports g++-4.7 (closes: #667356)
  * debian/control: dependencies for MPI distributed solvers added
  * debian/rules: build commands simplified
  * debian/librheolef-dev.install: man1/* to man9/* added
  * debian/changelog: package description rewritted (closes: #661689)

 -- Pierre Saramito <pierre.saramito@imag.fr>  Thu, 6 April 2012 09:12:21 +0200
