=== debian/watch ===
version=3
http://ljk.imag.fr/membres/Pierre.Saramito/rheolef/section-sources.html rheolef-([0-9.]*).tar.gz
