## rheolef 6.4

=== debian/changelog ===
rheolef (6.4-1) unstable; urgency=low

  [ Pierre Saramito ]
  * New upstream release 6.4 (major changes):
    - new powerful c++ expressions for FEM specifications
    - configure script improved (portability increased)
    - minor bug fixes
  * control:
    - all architectures are considered (armel & armhf are back)
    - no more circular-dependency librheolef-dev <--> rheolef
  * rules: add security compiler flags (hardening and -W,-l,relro)
  * watch: include an updated version, thanks to B. Martens <bartm@debian.org>
  * copyright: various file format fixes

  [ Sylvestre Ledru ]
  *  Standards-Version updated to 3.9.4

 -- Pierre Saramito <pierre.saramito@imag.fr>  Thu, 30 Apr 2013 11:29:51 +0200

rheolef (6.1-3) unstable; urgency=low

  [ Pierre Saramito ]
  * control: update package dependencies (closes: #690766)

  [Jonathan Wiltshire]
  * Make rheolef binnmu-safe (Closes: #691610)

 -- Pierre Saramito <pierre.saramito@imag.fr>  Wed, 17 Oct 2012 12:41:17 +0200

rheolef (6.3-1) experimental; urgency=low

  * New upstream release 6.3 (minor changes):
    - configure script improved (portability increased)
    - minor bug fixes
  * rules: add security compiler flags (hardening and -W,-l,relro)
  * copyright: various file format fixes

 -- Pierre Saramito <pierre.saramito@imag.fr>  Wed, 19 Oct 2012 14:56:11 +0200

rheolef (6.2-1~exp1) experimental; urgency=low

  * New upstream release 6.2 (minor changes):
    - nonlinear solvers improved
    - minor bug fixes
  * rheolef.install: add new entry
  * rules: set compiler optimization flags as default
  * control: update package dependencies (remove obsolete ffmpeg)
  * control: update package dependencies (add libsparsesuite-dev)

 -- Pierre Saramito <pierre.saramito@imag.fr>  Thu, 23 Aug 2012 11:29:31 +0200
