=== debian/control ===
--- 
+++ 
@@ -5,24 +5,26 @@
 Uploaders: Pierre Saramito <pierre.saramito@imag.fr>
 Homepage: http://ljk.imag.fr/membres/Pierre.Saramito/rheolef
 Build-Depends: debhelper (>=7), autoconf, automake, libtool, flex, bison, chrpath, bsdmainutils,
- libboost-dev, libboost-iostreams-dev, libboost-serialization-dev, libboost-mpi-dev,
+ libboost-dev, libboost-iostreams-dev, libboost-mpi-dev,
  libcgal-dev, liblapack-dev, libscotch-dev, libptscotch-dev,
- libmumps-dev, libmumps-seq-dev, 
- texinfo, texi2html, texlive-latex-recommended, texlive-latex-extra
+ libsuitesparse-dev, libmumps-dev, libmumps-seq-dev,
+ texinfo, texi2html, texlive-latex-recommended, texlive-latex-extra,
+ texlive-math-extra, texlive-font-utils, texlive-fonts-recommended, cm-super
+# Note: add libtrilinos-dev when available
 # I dont known how to do something like this (Pierre.Saramito@imag.fr):
 #  Build-Recommands: libtrilinos-dev
-# since rheolef takes advantage of libtrilinos-dev and it is available on sid and squeeze, but not on wheezy.
-Standards-Version: 3.9.3
+# since rheolef takes advantage of libtrilinos-dev and it is available only on some versions
+Standards-Version: 3.9.4
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/rheolef/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/rheolef/trunk/
 
 Package: librheolef1
 Section: libs
-Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc
+#Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc
 #Architecture-not-consideded: armel armhf
-#Architecture: any
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: rheolef-doc
+Suggests: rheolef-doc(= ${source:Version})
 Description: efficient Finite Element environment - shared library
  Rheolef is a computer environment that serves as a convenient
  laboratory for computations in applied mathematics involving finite
@@ -32,7 +34,7 @@
  Most basically, containers cover the classic graph data structure for
  sparse matrix formats and finite element meshes. At a higher level of
  abstraction, they can handle approximate finite element spaces, discrete
- fields, and bilinear forms.
+ fields. Flexible and powerful expressions are used to specify bilinear forms.
  .
  Current applications include:
   * massively distributed memory finite element environment, based on MPI;
@@ -53,11 +55,14 @@
 
 Package: librheolef-dev
 Section: libdevel
-Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc
+#Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc
 #Architecture-not-consideded: armel armhf
-#Architecture: any
-Depends: librheolef1(= ${binary:Version}), rheolef(= ${binary:Version}), libboost-dev, libboost-iostreams-dev, libboost-serialization-dev,
- libsuitesparse-dev, ${misc:Depends}
+Architecture: any
+Depends: librheolef1(= ${binary:Version}), g++, 
+ libboost-dev, libboost-iostreams-dev, libboost-mpi-dev,
+ libcgal-dev, liblapack-dev, libscotch-dev, libptscotch-dev,
+ libsuitesparse-dev, libmumps-dev, libmumps-seq-dev, 
+ ${misc:Depends}
 Recommends: rheolef-doc(= ${source:Version})
 Suggests:
 Description: efficient Finite Element environment - development files
@@ -69,7 +74,7 @@
  Most basically, containers cover the classic graph data structure for
  sparse matrix formats and finite element meshes. At a higher level of
  abstraction, they can handle approximate finite element spaces, discrete
- fields, and bilinear forms.
+ fields. Flexible and powerful expressions are used to specify bilinear forms.
  .
  Current applications include:
   * massively distributed memory finite element environment, based on MPI;
@@ -103,7 +108,7 @@
  Most basically, containers cover the classic graph data structure for
  sparse matrix formats and finite element meshes. At a higher level of
  abstraction, they can handle approximate finite element spaces, discrete
- fields, and bilinear forms.
+ fields. Flexible and powerful expressions are used to specify bilinear forms.
  .
  Current applications include:
   * massively distributed memory finite element environment, based on MPI;
@@ -124,11 +129,12 @@
 
 Package: rheolef
 Section: math
-Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc
+#Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc
 #Architecture-not-consideded: armel armhf
-#Architecture: any
-Depends: ${shlibs:Depends}, librheolef1(= ${binary:Version}), ${misc:Depends}
-Recommends: librheolef-dev, rheolef-doc, gnuplot, tcl-vtk | vtk-tcl, gmsh, mayavi2 | mayavi, paraview, ffmpeg
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  librheolef-dev(= ${binary:Version}), rheolef-doc(= ${source:Version})
+Recommends: gnuplot, tcl-vtk | vtk-tcl, gmsh, mayavi2 | mayavi, paraview
 Description: efficient Finite Element environment
  Rheolef is a computer environment that serves as a convenient
  laboratory for computations in applied mathematics involving finite
@@ -138,7 +144,7 @@
  Most basically, containers cover the classic graph data structure for
  sparse matrix formats and finite element meshes. At a higher level of
  abstraction, they can handle approximate finite element spaces, discrete
- fields, and bilinear forms.
+ fields. Flexible and powerful expressions are used to specify bilinear forms.
  .
  Current applications include:
   * massively distributed memory finite element environment, based on MPI;
