=== debian/rules ===
--- 
+++ 
@@ -22,15 +22,19 @@
 RHEOLEF_RUNTIME=rheolef
 
 TMPDIR=debian/tmp-rheolef
-CFLAGS = -Wall -g
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-	CXXFLAGS += -O0
-else
-	CFLAGS += -O2
-	CXXFLAGS += -O2
-endif
+# try to avoid lintian warnings as:
+#   W: rheolef: hardening-no-fortify-functions usr/bin/field
+CPPFLAGS = -D_FORTIFY_SOURCE=2
+CXXFLAGS = -O3 -D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security
+LDFLAGS  = -Wl,-z,relro -Wl,-Bsymbolic-functions ${CXXFLAGS}
+CFLAGS   = ${CXXFLAGS}
+
+#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+#	CXXFLAGS += -O0
+#else
+#	CXXFLAGS += -O3
+#endif
 
 configure: configure-stamp
 configure-stamp:
@@ -44,7 +48,8 @@
 	echo 'shlibs:Depends=libc6 (>= 2.7-1), libgcc1 (>= 1:4.3.1-9), libstdc++6 (>= 4.3.1-9)' >  debian/$(LIBRHEOLEF).substvars
 	dh_testdir
 	./bootstrap
-	CC=gcc CXX=g++ ./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --disable-optim --enable-debian-packaging --enable-fast-install
+
+	CXX=g++ CPPFLAGS="${CPPFLAGS}" CXXFLAGS="${CXXFLAGS}" LDFLAGS="${LDFLAGS}" ./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --disable-optim --enable-debian-packaging --enable-fast-install
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -85,9 +90,11 @@
 	- chrpath -d $(TMPDIR)/usr/bin/branch
 	- chrpath -d $(TMPDIR)/usr/bin/field
 	- chrpath -d $(TMPDIR)/usr/bin/geo
+	- chrpath -d $(TMPDIR)/usr/bin/csr
 	- chrpath -d $(TMPDIR)/usr/lib/librheolef.*so*
 	- chrpath -d $(TMPDIR)/usr/lib/rheolef/mkgeo_*
 	- chrpath -d $(TMPDIR)/usr/lib/rheolef/msh2geo_int
+	- chrpath -d $(TMPDIR)/usr/lib/rheolef/mkgeo_ball_gmsh_fix
 	# Changing file access permissions
 	chmod 755 $(TMPDIR)/usr/share/rheolef/check-shlibpath_var.sh
 	touch install-stamp
