## rheolef 6.5

=== debian/changelog ===
rheolef (6.5-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 17:37:45 -0500

rheolef (6.5-1) unstable; urgency=low

  * New upstream release 6.5 (major changes):
     - new discontinuous Galerkin FEM methods
     - source code compile now with g++-4.8 and boost-1.54 (closes: #701347)
       thanks to Matthias Klose <doko@debian.org>
     - minor bug fixes (closes: #716110, #715672, #716547)
       thanks to Alexandre Rebert <alexandre@cmu.edu>
     - minor changes for automake-1.14
  * control:
    - add break and replaces rules (closes: #709155)
      thanks to a patch from Andreas Beckmann <anbe@debian.org>
    - fix lintian warning "vcs-fields-not-canonical" (closes: #714185)
      thanks to Sebastian Ramacher <sramacher@debian.org>
    - remove texi2html from "build-depends" (was a lintian error)
  * rules: add "make distclean" to the rules/clean target (closes: #714204)
    thanks to explanations from Sebastian Ramacher <sramacher@debian.org>

 -- Pierre Saramito <pierre.saramito@imag.fr>  Mon, 16 Sep 2013 17:11:03 +0200
