=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  libboost-dev, libboost-iostreams-dev, libboost-mpi-dev,
  libcgal-dev, liblapack-dev, libscotch-dev, libptscotch-dev,
  libsuitesparse-dev, libmumps-dev, libmumps-seq-dev,
- texinfo, texi2html, texlive-latex-recommended, texlive-latex-extra,
+ texinfo, texlive-latex-recommended, texlive-latex-extra,
  texlive-math-extra, texlive-font-utils, texlive-fonts-recommended, cm-super
 # Note: add libtrilinos-dev when available
 # I dont known how to do something like this (Pierre.Saramito@imag.fr):
 #  Build-Recommands: libtrilinos-dev
 # since rheolef takes advantage of libtrilinos-dev and it is available only on some versions
 Standards-Version: 3.9.4
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/rheolef/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/rheolef/trunk/
+Vcs-Svn:      svn://anonscm.debian.org/debian-science/packages/rheolef/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewsvn/debian-science/packages/rheolef/trunk/
 
 Package: librheolef1
 Section: libs
@@ -65,6 +65,8 @@
  ${misc:Depends}
 Recommends: rheolef-doc(= ${source:Version})
 Suggests:
+Breaks: rheolef (<< 6.4)
+Replaces: rheolef (<< 6.4)
 Description: efficient Finite Element environment - development files
  Rheolef is a computer environment that serves as a convenient
  laboratory for computations in applied mathematics involving finite
@@ -135,6 +137,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
   librheolef-dev(= ${binary:Version}), rheolef-doc(= ${source:Version})
 Recommends: gnuplot, tcl-vtk | vtk-tcl, gmsh, mayavi2 | mayavi, paraview
+Breaks: rheolef-dev (<< 6.4)
+Replaces: rheolef-dev (<< 6.4)
 Description: efficient Finite Element environment
  Rheolef is a computer environment that serves as a convenient
  laboratory for computations in applied mathematics involving finite
