=== debian/rules ===
--- 
+++ 
@@ -58,12 +58,14 @@
 build-stamp: configure-stamp
 	dh_testdir
 	# Compile the package.
-	$(MAKE)
+	make
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
+	# for double build, cleaning via Makefile
+	if test -f Makefile; then make distclean; fi
 	rm -f build-stamp configure-stamp
 	dh_clean
 	# Removing installation directories
@@ -78,7 +80,7 @@
 	dh_clean
 	dh_installdirs
 	# Add here commands to install the package into DESTDIR
-	$(MAKE) install DESTDIR=$(CURDIR)/$(TMPDIR)
+	make install DESTDIR=$(CURDIR)/$(TMPDIR)
 	dh_movefiles --sourcedir=$(TMPDIR)
 	# removing some useless progs
 	rm -f $(TMPDIR)/usr/bin/doc2man
